Subject: Re: linux-next: manual merge of the watchdog tree with the samsung-krzk tree

From: Wim Van Sebroeck <[email-masked]>
Date: Thu, 7 Nov 2024 15:25:37 +0100

Hi Guenter,

> On 11/7/24 02:37, Wim Van Sebroeck wrote:
> >Hi Krzysztof,
> >
> >>On 07/11/2024 06:59, Stephen Rothwell wrote:
> >>>Hi all,
> >>>
> >>>Today's linux-next merge of the watchdog tree got a conflict in:
> >>>
> >>>   arch/arm64/boot/dts/exynos/exynosautov920.dtsi
> >>>
> >>>between commit:
> >>>
> >>>   ef1c2a54cbc7 ("arm64: dts: exynosautov920: add peric1, misc and hsi0/1 clock DT nodes")
> >>>
> >>>from the samsung-krzk tree and commit:
> >>>
> >>>   3595a523d043 ("arm64: dts: exynosautov920: add watchdog DT node")
> >>
> >>The main problem is above patch should have never been taken to watchdog
> >>tree. I never agreed on that. I never acked it. It is against SoC
> >>policies which are always requesting entire DTS to go through SoC tree.
> >>
> >>Please drop the patch from watchdog. Or revert it.
> >>
> >>Best regards,
> >>Krzysztof
> >>
> >
> >See my other e-mail. Since the 3 patches were about adding a new watchdog driver, I indeed took them in.
> >This was reverted and I can only presume that you will take the 3 patches and do the necessary via the SoC tree.
> >
> 
> I think the idea was that the watchdog tree would take the driver and
> its devicetree property description, and the SoC tree would take the
> actual devicetree changes. At least that is what I do in hwmon.

That's how it is now.

Kind regards,
Wim.